### Function

# Qmi message_response_new

since: 1.8

#### Declaration [src]

    QmiMessage*
    qmi_message_response_new (
      QmiMessage* request,
      QmiProtocolError error
    )

#### Description [src]

Create a new response `QmiMessage` for the specified `request`.

Available since: 1.8

#### Parameters

`request`

  Type: `QmiMessage`

  A request `QmiMessage`.

  The data is owned by the caller of the function.

`error`

  Type: `QmiProtocolError`

  A `QmiProtocolError` to set in the result TLV.

#### Return value

Type: `QmiMessage`

A newly created `QmiMessage`. The returned value should be freed with qmi_message_unref().

The caller of the function takes ownership of the data, and is responsible for freeing it.